
Redmine - Defect #30494

Can't set author_id when creating a new issue via REST API. 

2019-01-25 10:46 - Sanooj M

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 3.2.1

Description

My app details are given below

Environment:

Redmine version                3.2.1.stable

Ruby version                   2.3.1-p112 (2016-04-26) [x86_64-linux-gnu]

Rails version                  4.2.6

Environment                    production

Database adapter               Mysql2

I'm trying to add an issue via java api redmine-java-api.3.1.1

Whenever I try to set author_id  it does't work. It creating issue with author as the application admin user.

Please help me. Or let me know if its fixed in any later version.

History

#1 - 2019-01-25 14:35 - Bernhard Rohloff

According to #10765 it's basically not possible to create an issue with a different author_id.

#2 - 2019-02-02 03:47 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

It is the expected behavior. You cannot impersonate another user in Redmine.
